Bug 226687 - Bundle 3.0.5
Bundle 3.0.5
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.4
All All
: P1 (vote)
: 7.3.1
Assigned To: Milos Kleint
issues@projects
73patch2-verified
:
: 226586 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 21:25 UTC by Jesse Glick
Modified: 2013-05-10 08:21 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2013-02-25 21:25:08 UTC
Since Maven 3.0.5 is a security release, it would be prudent to promptly bundle it in NB.
Comment 1 Milos Kleint 2013-02-26 07:47:33 UTC
*** Bug 226586 has been marked as a duplicate of this bug. ***
Comment 2 Milos Kleint 2013-02-26 08:38:31 UTC
see http://maven.apache.org/security.html for details on the security issue

https://hg.netbeans.org/core-main/rev/5fc9e56fc01b
Comment 3 Quality Engineering 2013-02-27 16:13:36 UTC
Integrated into 'main-golden', will be available in build *201302270948* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5fc9e56fc01b
User: Milos Kleint <mkleint@netbeans.org>
Log: #226687 upgrade to maven 3.0.5
Comment 4 Tomas Danek 2013-05-02 09:28:00 UTC
verified, QE is ok with bundling 3.0.5 in 7.3.1.  
Btw can be bundled maven obtained via UC mechanism (as a part of 7.3 patch2) ? Binaries are distributed as NBM, right?
Comment 5 Milos Kleint 2013-05-02 09:36:16 UTC
(In reply to comment #4)
> verified, QE is ok with bundling 3.0.5 in 7.3.1.  
> Btw can be bundled maven obtained via UC mechanism (as a part of 7.3 patch2) ?
> Binaries are distributed as NBM, right?

yes. all should be upgradable just fine.
Comment 6 Milos Kleint 2013-05-03 11:57:27 UTC
http://hg.netbeans.org/releases/rev/5221bb4979de
Comment 7 Quality Engineering 2013-05-05 00:27:11 UTC
Integrated into 'releases', will be available in build *201305042200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/5221bb4979de
User: Milos Kleint <mkleint@netbeans.org>
Log: #226687 upgrade to maven 3.0.5 - merge to release73
Comment 8 Tomas Danek 2013-05-10 08:21:59 UTC
Mvn3.0.5 is in NB7.3.1, verified in 7.3 + patch 2
Product Version: NetBeans IDE 7.3.1 (Build 201305082200)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo